Package org.mockserver.client
Class Llm
java.lang.Object
org.mockserver.client.Llm
Convenience re-exports of LLM model-class static factories so that
users can write a single import:
import static org.mockserver.client.Llm.*;and get all LLM-related factories in one import.
-
Method Summary
Modifier and TypeMethodDescriptionstatic CompletionCreates a new Completion builder.static LlmConversationBuilderCreates a new LlmConversationBuilder.static IsolationSourceCreates an IsolationSource that reads the isolation key from a cookie.static EmbeddingResponseCreates a new EmbeddingResponse builder.static IsolationSourceCreates an IsolationSource that reads the isolation key from an HTTP header.static UsageinputTokens(int inputTokens) Creates a Usage with the given input tokens.static StreamingPhysicsjitter(double jitter) Creates a StreamingPhysics with the given jitter.static UsageoutputTokens(int outputTokens) Creates a Usage with the given output tokens.static IsolationSourcequeryParameter(String name) Creates an IsolationSource that reads the isolation key from a query parameter.static StreamingPhysicsCreates a new StreamingPhysics builder.static DelaytimeToFirstToken(long value, TimeUnit timeUnit) Creates a Delay representing the time to first token.static StreamingPhysicstokensPerSecond(int tokensPerSecond) Creates a StreamingPhysics with the given tokens per second.static ToolUseCreates a new ToolUse builder.
-
Method Details
-
completion
Creates a new Completion builder. -
toolUse
Creates a new ToolUse builder. -
inputTokens
Creates a Usage with the given input tokens. -
outputTokens
Creates a Usage with the given output tokens. -
streamingPhysics
Creates a new StreamingPhysics builder. -
timeToFirstToken
Creates a Delay representing the time to first token. -
tokensPerSecond
Creates a StreamingPhysics with the given tokens per second. -
jitter
Creates a StreamingPhysics with the given jitter. -
embedding
Creates a new EmbeddingResponse builder. -
header
Creates an IsolationSource that reads the isolation key from an HTTP header. -
queryParameter
Creates an IsolationSource that reads the isolation key from a query parameter. -
cookie
Creates an IsolationSource that reads the isolation key from a cookie. -
conversation
Creates a new LlmConversationBuilder.
-